## ssvnc 1.0.24

=== Makefile ===
#
# One can modify the install location via, e.g.:
#
#   make PREFIX=/usr/local install
#
# Files are installed into $(PREFIX)/bin and $(PREFIX)/lib/ssvnc
#
# Set ROOT to a staging area directory for an install that thinks
# it is installed in $(PREFIX) but is really in $(ROOT)$(PREFIX).
#
# Set MANDIR to, say, share/man to install the manpages in a
# different place.
#
# BINNAME will be the name of the viewer binary installed in bin,
# default is 'ssvncviewer'.  The copy in lib/ssvnc is used by
# the GUI to be sure it gets the right one.  Set BINNAME to the
# empty string to skip installing ssvncviewer in bin.
#
# APPS is set to the sub location of the ssvnc.desktop file.
# Set APPS to the empty string to skip installing ssvnc.desktop. 

# N.B. ?= is gnu make specific.  Some of the subdir Makefiles are too. 
#
PREFIX  ?= /usr/local
ROOT    ?=
BIN      = bin
LIB      = lib/ssvnc
MAN      = man
MANDIR  ?= $(MAN)
APPS    ?= share/applications
BINNAME ?= ssvncviewer


VSRC = vnc_unixsrc
JSRC = ultraftp
PSRC = vncstorepw

VIEWER  = $(VSRC)/vncviewer/vncviewer
VNCSPW  = $(PSRC)/vncstorepw
UNWRAP  = $(PSRC)/unwrap.so
LIMACC  = $(PSRC)/lim_accept.so
ULTDSM  = $(PSRC)/ultravnc_dsm_helper
ARCHIVE = $(JSRC)/ultraftp.jar

config:
	sh -c 'type xmkmf'
	sh -c 'type javac'
	sh -c 'type jar'
	@echo
	cd $(VSRC)/libvncauth; pwd; xmkmf
	cd $(VSRC)/vncviewer;  pwd; xmkmf
	@echo
	@echo Now run: "'make all'"

all:
	cd $(VSRC)/libvncauth; $(MAKE)
	cd $(VSRC)/vncviewer;  $(MAKE)
	cd $(JSRC); $(MAKE)
	cd $(PSRC); $(MAKE)

clean:
	cd $(VSRC)/libvncauth; $(MAKE) clean
	cd $(VSRC)/vncviewer;  $(MAKE) clean
	cd $(JSRC); $(MAKE) clean
	cd $(PSRC); $(MAKE) clean

install: all
	mkdir -p $(ROOT)$(PREFIX)/$(BIN) $(ROOT)$(PREFIX)/$(LIB) $(ROOT)$(PREFIX)/$(MANDIR)/man1
	strip $(VIEWER)
	cp -p $(VIEWER) $(ROOT)$(PREFIX)/$(LIB)
	cp -p $(VNCSPW) $(ROOT)$(PREFIX)/$(LIB)
	cp -p $(UNWRAP) $(ROOT)$(PREFIX)/$(LIB)
	cp -p $(LIMACC) $(ROOT)$(PREFIX)/$(LIB)
	cp -p $(ULTDSM) $(ROOT)$(PREFIX)/$(LIB)
	cp -pR scripts/* $(ROOT)$(PREFIX)/$(LIB)
	cp -p $(ARCHIVE) $(ROOT)$(PREFIX)/$(LIB)/util
	cp -p $(MAN)/man1/ssvnc.1 $(ROOT)$(PREFIX)/$(MANDIR)/man1
	./wr_tool $(ROOT)$(PREFIX)/$(BIN)/ssvnc  $(PREFIX)/$(LIB)/ssvnc
	./wr_tool $(ROOT)$(PREFIX)/$(BIN)/tsvnc  $(PREFIX)/$(LIB)/tsvnc
	./wr_tool $(ROOT)$(PREFIX)/$(BIN)/sshvnc $(PREFIX)/$(LIB)/sshvnc
	if [ "X$(APPS)" != X ]; then mkdir -p $(ROOT)$(PREFIX)/$(APPS); fi
	if [ "X$(APPS)" != X ]; then cp -p ssvnc.desktop $(ROOT)$(PREFIX)/$(APPS); fi
	if [ "X$(BINNAME)" != X ]; then cp -p $(VIEWER) $(ROOT)$(PREFIX)/$(BIN)/$(BINNAME); fi
	if [ "X$(BINNAME)" != X ]; then cp -p $(MAN)/man1/ssvncviewer.1 $(ROOT)$(PREFIX)/$(MANDIR)/man1/$(BINNAME).1; fi


#internal use only, a test install:
TINDIR = /var/tmp/TIN

tin:
	rm -rf $(TINDIR)
	$(MAKE) PREFIX=$(TINDIR) config all install
	find $(TINDIR) -ls

## ssvnc 1.0.27

=== ultraftp/Makefile ===
JDEST = ../../../../bin/util/ultraftp.jar

SOURCES = $(shell echo *.java)
CLASSES = $(SOURCES:%.java=%.class)
ARCHIVE = ultraftp.jar

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	javac $(SOURCES)

$(ARCHIVE): $(CLASSES)
	jar cvf $(ARCHIVE) *.class
	ls -l $(ARCHIVE)

clean:
	rm -f *.class *.jar

install: $(ARCHIVE)
	@if [ -f $(JDEST) ]; then mv $(JDEST) $(JDEST).prev; fi
	cp $(ARCHIVE) $(JDEST)
	ls -l $(JDEST)*

## ssvnc 1.0.28

=== debian/changelog ===
ssvnc (1.0.28-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 22:43:59 +0100

ssvnc (1.0.28-1) unstable; urgency=low

  * New upstream release (Closes: #592873, "Connection from UVNC
    Single-Click does not start vncviewer when -acceptpopups is set").
  * Convert to source format 3.0 (quilt), changing /bin/sh into /bin/bash
    (see below) in the install target instead.
  * debian/copyright: Update years of copyright; remove notice that the
    UltraVNC DSM helper module is not included (which it is since
    1.0.24-1).
  * Remove redundant bash dependency; bash isn't going to be non-essential
    any time soon.
  * Up Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 06 Feb 2011 23:06:25 +0100

ssvnc (1.0.27-1) unstable; urgency=low

  * New upstream release.
  * bashisms.dpatch: Don't try to fix all bashisms; instead change /bin/sh
    to /bin/bash and depend on bash, which is small in this context.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 May 2010 19:07:52 +0200

ssvnc (1.0.25-1) unstable; urgency=low

  * New upstream release.
  * confusing_-h.dpatch and bashisms.dpatch: adjusted.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 06 Feb 2010 20:45:04 +0100

ssvnc (1.0.24-1) unstable; urgency=low

  * New upstream release.
    * ssvnc -help now prints a help message instead of passing -help to the
      tcl interpreter.
  * confusing_-h.dpatch (new): Improve upstream's handling of -help a bit
    (Closes: 544250).
  * ultraftp_path.dpach (new): Use hardcoded (and correct for this
    package) path to ultraftp.jar if SSVNC_ULTRA_FTP_JAR is unset, so that
    file transfers work even if ssvncviewer is executed directly.
  * bashisms.dpatch (new): Fix most bashisms (all that matter).
  * Drop no_openssl.dpatch and build ultravnc_dsm_helper; OpenSSL
    exception has been granted. Build-depend on libssl-dev.
  * Promote stunnel4 from Recommends to Depends (Closes: #553411), depend
    directly on openssl, depend on tk instead of tk8.4, and tweak java
    recommendations.
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 31 Oct 2009 21:02:42 +0100

ssvnc (1.0.23-1) unstable; urgency=low

  * Initial release (Closes: #504134).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 01 Aug 2009 19:31:25 +0200

=== debian/control ===
Source: ssvnc
Section: net
Priority: extra
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 7), xutils-dev, libxaw7-dev,
 libxmu-dev, libxext-dev, libxt-dev, libsm-dev, libice-dev,
 libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev,
 default-jdk, libssl-dev
Standards-Version: 3.9.1
Homepage: http://www.karlrunge.com/x11vnc/ssvnc.html

Package: ssvnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk,
 openssh-client, bind9-host | host, procps, psmisc, xterm,
 stunnel4, openssl
Recommends: default-jre | java5-runtime
Description: Enhanced TightVNC viewer with SSL/SSH tunnel helper
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop'
 environment not only on the machine where it is running, but from
 anywhere on the Internet and from a wide variety of machine
 architectures.
 .
 SSVNC is two things:
 .
 * An enhanced version of the TightVNC client with support for more
 encodings and color modes, support for x11vnc and UltraVNC
 extensions, dynamic screen resizing, an improved popup menu, etc.
 .
 * A GUI that helps set up an SSL (using stunnel) or SSH tunnel to
 connect to the VNC server through, as well as forwarding of ports for
 audio (esound/aRts), SMB, CUPS etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ssvnc

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) config
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) all

	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	rm vnc_unixsrc/*/Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) ROOT=$(DESTDIR) PREFIX=/usr MANDIR=share/man install
	sed -ri -e 's#/bin/sh#/bin/bash#g' \
	 $(addprefix $(DESTDIR)/usr/lib/ssvnc/,ssvnc ssvnc_cmd util/ss_vncviewer util/ssvnc.tcl)

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ssvnc 1.0.29

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 config:
 	sh -c 'type xmkmf'
-	sh -c 'type javac'
-	sh -c 'type jar'
+	if [ "X$(JSRC)" != "X" ]; then sh -c 'type javac'; fi
+	if [ "X$(JSRC)" != "X" ]; then sh -c 'type jar'; fi
 	@echo
 	cd $(VSRC)/libvncauth; pwd; xmkmf
 	cd $(VSRC)/vncviewer;  pwd; xmkmf
@@ -55,13 +55,13 @@
 all:
 	cd $(VSRC)/libvncauth; $(MAKE)
 	cd $(VSRC)/vncviewer;  $(MAKE)
-	cd $(JSRC); $(MAKE)
+	if [ "X$(JSRC)" != "X" ]; then cd $(JSRC); $(MAKE); fi
 	cd $(PSRC); $(MAKE)
 
 clean:
 	cd $(VSRC)/libvncauth; $(MAKE) clean
 	cd $(VSRC)/vncviewer;  $(MAKE) clean
-	cd $(JSRC); $(MAKE) clean
+	if [ "X$(JSRC)" != "X" ]; then cd $(JSRC); $(MAKE) clean; fi
 	cd $(PSRC); $(MAKE) clean
 
 install: all
@@ -73,7 +73,7 @@
 	cp -p $(LIMACC) $(ROOT)$(PREFIX)/$(LIB)
 	cp -p $(ULTDSM) $(ROOT)$(PREFIX)/$(LIB)
 	cp -pR scripts/* $(ROOT)$(PREFIX)/$(LIB)
-	cp -p $(ARCHIVE) $(ROOT)$(PREFIX)/$(LIB)/util
+	if [ "X$(JSRC)" != "X" ]; then cp -p $(ARCHIVE) $(ROOT)$(PREFIX)/$(LIB)/util; fi
 	cp -p $(MAN)/man1/ssvnc.1 $(ROOT)$(PREFIX)/$(MANDIR)/man1
 	./wr_tool $(ROOT)$(PREFIX)/$(BIN)/ssvnc  $(PREFIX)/$(LIB)/ssvnc
 	./wr_tool $(ROOT)$(PREFIX)/$(BIN)/tsvnc  $(PREFIX)/$(LIB)/tsvnc

=== ultraftp/Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 SOURCES = $(shell echo *.java)
 CLASSES = $(SOURCES:%.java=%.class)
 ARCHIVE = ultraftp.jar
+JC_ARGS = -target 1.4 -source 1.4
 
 all: $(CLASSES) $(ARCHIVE)
 
 $(CLASSES): $(SOURCES)
-	javac $(SOURCES)
+	javac $(JC_ARGS) $(SOURCES)
 
 $(ARCHIVE): $(CLASSES)
 	jar cvf $(ARCHIVE) *.class

=== vncstorepw/Makefile ===
#!/bin/sh

EPATH = /usr/ccs/bin:/usr/sfw/bin:/usr/local/bin

CMD = vncstorepw
UNWRAP = unwrap.so
LIMACC = lim_accept.so
ULTDSM = ultravnc_dsm_helper

# gcc must be used:
CC = gcc

all: $(CMD) $(UNWRAP) $(LIMACC) $(ULTDSM)

$(CMD): vncauth.o vncstorepw.o d3des.o
	PATH=$$PATH:$(EPATH) $(CC) -o $(CMD) vncstorepw.o vncauth.o d3des.o
	PATH=$$PATH:$(EPATH) strip $(CMD)
	@ls -l $(CMD)

$(UNWRAP): unwrap.c
	if [ `uname` = "Darwin" ]; then \
		PATH=$$PATH:$(EPATH) $(CC) -o $(UNWRAP) -dynamiclib -fPIC unwrap.c; \
	else \
		PATH=$$PATH:$(EPATH) $(CC) -o $(UNWRAP) -shared     -fPIC unwrap.c; \
	fi
	@ls -l $(UNWRAP)

$(LIMACC): lim_accept.c
	if [ `uname` = "Darwin" ]; then \
		PATH=$$PATH:$(EPATH) $(CC) -o $(LIMACC) -dynamiclib -fPIC -nostartfiles lim_accept.c; \
	else \
		PATH=$$PATH:$(EPATH) $(CC) -o $(LIMACC) -shared     -fPIC -nostartfiles lim_accept.c; \
	fi
	@ls -l $(LIMACC)

# use: LD_SSL='-L/usr/foo/lib' CPP_SSL='-I /usr/foo/include':

$(ULTDSM): ultravnc_dsm_helper.c 
	if [ `uname` = "SunOS" ]; then \
		PATH=$$PATH:$(EPATH) $(CC) -o $(ULTDSM) $(CPP_SSL) ultravnc_dsm_helper.c $(LD_SSL) -lssl -lcrypto -lsocket -lnsl; \
	else \
		PATH=$$PATH:$(EPATH) $(CC) -o $(ULTDSM) $(CPP_SSL) ultravnc_dsm_helper.c $(LD_SSL) -lssl -lcrypto; \
	fi
	PATH=$$PATH:$(EPATH) strip $(ULTDSM)
	@ls -l $(ULTDSM)

test: $(CMD)
	./test_it .

clean:
	rm -f *.o $(CMD) $(UNWRAP) $(LIMACC) $(ULTDSM)

realclean: clean
	find . -type d | grep '\./.*\.' | xargs rm -rf
	
tar: realclean
	cd ..; tar cvf $(CMD).tar $(CMD)

sysdir: $(CMD)
	dir=./`uname -sm | sed -e 's/ /./g'`; mkdir -p $$dir
	dir=./`uname -sm | sed -e 's/ /./g'`; cp -p $(CMD) $$dir
	dir=./`uname -sm | sed -e 's/ /./g'`; cp -p $(LIMACC) $$dir
	dir=./`uname -sm | sed -e 's/ /./g'`; cp -p $(ULTDSM) $$dir

=== vnc_unixsrc/libvncauth/Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.141 2003/03/19 01:49:23 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.81 2003/02/18 16:51:45 tsi Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.182 2002/10/11 01:40:22 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.201.2.1 2003/03/13 04:10:40 tsi Exp $

# operating system:  Linux 2.4.28 i686 [ELF] (2.4.28)
# libc:	(6.3.2)
# binutils:	(215)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.44 2002/11/18 22:47:25 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.439.2.2 2003/04/23 19:55:19 herrb Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 1 | sed -e 's/ /./g' -e 's/^/Version\\\ /'`

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34 2001/07/19 02:22:44 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.114 2003/03/19 01:49:23 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR = /usr/include/glide

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.4

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.4

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = ..
      CURRENT_DIR = libvncauth

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = RmanCmd
     RMANBASENAME = rman
      RMANOPTIONS = RmanOptions
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSECT)
    SYSCALLMANDIR = $(MANSOURCEPATH)$(SYSCALLMANSECT)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSECT)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSECT)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSECT)
       GAMEMANDIR = $(MANSOURCEPATH)$(GAMEMANSECT)
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSECT)
        ADMMANDIR = $(MANSOURCEPATH)$(ADMMANSECT)
          ICONDIR = /usr/X11R6/lib/X11/icons
      XCURSORPATH = ~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS =

               CC = gcc -m32
               AS = gcc -m32 -c -x assembler

.SUFFIXES: .cc

              CXX = c++ -m32

          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -g -O2 -fno-strict-aliasing
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip

              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
           RAWCPP = /usr/bin/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -m32 -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -m32 -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =

          MANSECT = 1
   SYSCALLMANSECT = 2
       LIBMANSECT = 3
    DRIVERMANSECT = 4
      FILEMANSECT = 5
      GAMEMANSECT = 6
      MISCMANSECT = 7
       ADMMANSECT = 8
       MANSRCSECT = s
       MANNEWSECT = n
 PROJECTMANSUFFIX = x
        MANSUFFIX = $(MANSECT)$(PROJECTMANSUFFIX)
 SYSCALLMANSUFFIX = $(SYSCALLMANSECT)$(PROJECTMANSUFFIX)
     LIBMANSUFFIX = $(LIBMANSECT)$(PROJECTMANSUFFIX)
  DRIVERMANSUFFIX = $(DRIVERMANSECT)$(PROJECTMANSUFFIX)
    FILEMANSUFFIX = $(FILEMANSECT)$(PROJECTMANSUFFIX)
    GAMEMANSUFFIX = $(GAMEMANSECT)$(PROJECTMANSUFFIX)
    MISCMANSUFFIX = $(MISCMANSECT)$(PROJECTMANSUFFIX)
     ADMMANSUFFIX = $(ADMMANSECT)$(PROJECTMANSUFFIX)
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__mansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) -D__osmansuffix__=$(MANSECT) -D__syscallmansuffix__=$(SYSCALLMANSECT)$(PROJECTMANSUFFIX) -D__ossysmansuffix__=$(SYSCALLMANSECT) -D__libmansuffix__=$(LIBMANSECT)$(PROJECTMANSUFFIX) -D__oslibmansuffix__=$(LIBMANSECT) -D__drivermansuffix__=$(DRIVERMANSECT)$(PROJECTMANSUFFIX) -D__osdrivermansuffix__=$(DRIVERMANSECT) -D__filemansuffix__=$(FILEMANSECT)$(PROJECTMANSUFFIX) -D__osfilemansuffix__=$(FILEMANSECT) -D__gamemansuffix__=$(GAMEMANSECT)$(PROJECTMANSUFFIX) -D__osgamemansuffix__=$(GAMEMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__admmansuffix__=$(ADMMANSECT)$(PROJECTMANSUFFIX) -D__osadmmansuffix__=$(ADMMANSECT) -D__projectroot__=$(PROJECTROOT) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         HTMLROFF = groff -Thtml

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc -m32

           MODCPP = /usr/bin/cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -m32 -c -x assembler
       MODASFLAGS =

            MODLD = gcc -m32 -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -g -O2 -fno-strict-aliasing
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR) $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.4
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.4
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES) 		    $(IMAKE_WARNINGS)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.6 2001/01/17 16:22:31 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.196.2.3 2003/10/08 17:56:30 eich Exp $

XORGRELSTRING = Release 6.6
XORGMANNAME = X Version 11

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 1 | sed -e 's/ /./g' -e 's/^/Version\\\ /'`

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

=== vnc_unixsrc/vncviewer/Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.141 2003/03/19 01:49:23 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.81 2003/02/18 16:51:45 tsi Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.182 2002/10/11 01:40:22 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.201.2.1 2003/03/13 04:10:40 tsi Exp $

# operating system:  Linux 2.4.28 i686 [ELF] (2.4.28)
# libc:	(6.3.2)
# binutils:	(215)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.44 2002/11/18 22:47:25 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.439.2.2 2003/04/23 19:55:19 herrb Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 1 | sed -e 's/ /./g' -e 's/^/Version\\\ /'`

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34 2001/07/19 02:22:44 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.114 2003/03/19 01:49:23 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR = /usr/include/glide

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.4

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.4

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = ..
      CURRENT_DIR = vncviewer

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = RmanCmd
     RMANBASENAME = rman
      RMANOPTIONS = RmanOptions
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSECT)
    SYSCALLMANDIR = $(MANSOURCEPATH)$(SYSCALLMANSECT)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSECT)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSECT)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSECT)
       GAMEMANDIR = $(MANSOURCEPATH)$(GAMEMANSECT)
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSECT)
        ADMMANDIR = $(MANSOURCEPATH)$(ADMMANSECT)
          ICONDIR = /usr/X11R6/lib/X11/icons
      XCURSORPATH = ~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS =

               CC = gcc -m32
               AS = gcc -m32 -c -x assembler

.SUFFIXES: .cc

              CXX = c++ -m32

          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -g -O2 -fno-strict-aliasing
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip

              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
           RAWCPP = /usr/bin/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -m32 -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -m32 -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =

          MANSECT = 1
   SYSCALLMANSECT = 2
       LIBMANSECT = 3
    DRIVERMANSECT = 4
      FILEMANSECT = 5
      GAMEMANSECT = 6
      MISCMANSECT = 7
       ADMMANSECT = 8
       MANSRCSECT = s
       MANNEWSECT = n
 PROJECTMANSUFFIX = x
        MANSUFFIX = $(MANSECT)$(PROJECTMANSUFFIX)
 SYSCALLMANSUFFIX = $(SYSCALLMANSECT)$(PROJECTMANSUFFIX)
     LIBMANSUFFIX = $(LIBMANSECT)$(PROJECTMANSUFFIX)
  DRIVERMANSUFFIX = $(DRIVERMANSECT)$(PROJECTMANSUFFIX)
    FILEMANSUFFIX = $(FILEMANSECT)$(PROJECTMANSUFFIX)
    GAMEMANSUFFIX = $(GAMEMANSECT)$(PROJECTMANSUFFIX)
    MISCMANSUFFIX = $(MISCMANSECT)$(PROJECTMANSUFFIX)
     ADMMANSUFFIX = $(ADMMANSECT)$(PROJECTMANSUFFIX)
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__mansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) -D__osmansuffix__=$(MANSECT) -D__syscallmansuffix__=$(SYSCALLMANSECT)$(PROJECTMANSUFFIX) -D__ossysmansuffix__=$(SYSCALLMANSECT) -D__libmansuffix__=$(LIBMANSECT)$(PROJECTMANSUFFIX) -D__oslibmansuffix__=$(LIBMANSECT) -D__drivermansuffix__=$(DRIVERMANSECT)$(PROJECTMANSUFFIX) -D__osdrivermansuffix__=$(DRIVERMANSECT) -D__filemansuffix__=$(FILEMANSECT)$(PROJECTMANSUFFIX) -D__osfilemansuffix__=$(FILEMANSECT) -D__gamemansuffix__=$(GAMEMANSECT)$(PROJECTMANSUFFIX) -D__osgamemansuffix__=$(GAMEMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__admmansuffix__=$(ADMMANSECT)$(PROJECTMANSUFFIX) -D__osadmmansuffix__=$(ADMMANSECT) -D__projectroot__=$(PROJECTROOT) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         HTMLROFF = groff -Thtml

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc -m32

           MODCPP = /usr/bin/cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -m32 -c -x assembler
       MODASFLAGS =

            MODLD = gcc -m32 -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE 				  				 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -g -O2 -fno-strict-aliasing
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR) $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.4
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.4
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES) 		    $(IMAKE_WARNINGS)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.6 2001/01/17 16:22:31 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.196.2.3 2003/10/08 17:56:30 eich Exp $

XORGRELSTRING = Release 6.6
XORGMANNAME = X Version 11

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 1 | sed -e 's/ /./g' -e 's/^/Version\\\ /'`

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

=== debian/changelog ===
ssvnc (1.0.29-7) unstable; urgency=medium

  * Move packaging to salsa.debian.org.
  * gcc15.patch: Fixes needed to compile with GCC15 (Closes: #1097933).
  * Add dependency on net-tools to ensure that netstat exists (Closes:
    #1091361).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 07 Oct 2025 20:55:37 +0200

ssvnc (1.0.29-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vladimir Petko ]
  * d/rules: use java_compat_level variable provided by java-common
    to adjust -source/-target level to the minimum required by
    the default Java (Closes: #1053080).
  * d/rules: force deletion of vnc_unixsrc/*/Makefile (Closes: #1047893).

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Oct 2024 12:39:25 +0200

ssvnc (1.0.29-6) unstable; urgency=low

  * no-mkmf.patch: Replace Imake-generated Makefiles with simple ones in
    preparation for the removal of xmkkf (Closes: #888009, #997646).
    Thanks to Helmut Grohne <helmut@subdivi.de>.
  * sendclipboard-fix.patch: Make sure that -sendclipboard actually uses
    the clipboard (Closes: #841854). Thanks to OmegaPhil
    <OmegaPhil@startmail.com>.
  * Bump Standards-Version to 4.6.0.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 06 Jan 2022 21:56:37 +0100

ssvnc (1.0.29-5) unstable; urgency=high

  * Porting of libvncclient security patches by the jessie LTS team
    (Closes: #945827):
    - CVE-2018-20020: heap out-of-bound write vulnerability inside structure
      in VNC client code.
    - CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
    - CVE-2018-20022: CWE-665: Improper Initialization vulnerability.
    - CVE-2018-20024: null pointer dereference that can result DoS.
  * Bump Standards-Version to 4.4.1.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 16 Dec 2019 19:46:31 +0100

ssvnc (1.0.29-4) unstable; urgency=low

  * default-jdk-headless is enough to build.
  * Compile java with -source 1.7 -target 1.7 (Closes: #874004).
  * Replace priority extra with optional.
  * Switch to Debhelper compat level 10.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2018 19:39:53 +0200

ssvnc (1.0.29-3) unstable; urgency=low

  * debian/rules: Add call to dh_strip_nondeterminism.
  * openssl1.1.patch (new): Support OpenSSL 1.1 API changes (Closes:
    #828559).
  * auto-scale.patch (new): Make autoscaling work (Closes: #801804, LP:
    #1312966). In addition to the command-line option "-scale auto"
    creating a 1×1 window, rescaling when resizing the window didn't
    happen, at least not when Caps Lock or other modifiers were active.
  * samemachine_ipv6_overflow.patch (new): Fix stack overflow when
    connecting over IPv6, caused by non-IPv6-aware code (Closes: #774622).
  * nostrip.patch: Don't strip vncstorepw or ultravnc_dsm_helper either.
  * buildflags.patch: Also pass flags to vncstorepw/Makefile and patch
    that to use them.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 30 Jul 2016 23:09:44 +0200

ssvnc (1.0.29-2) unstable; urgency=low

  * Also get CPPFLAGS from dpkg-buildflags. Pass it as EXTRA_DEFINES to
    vnc_unixsrc/*/Makefile.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Nov 2011 08:11:09 +0100

ssvnc (1.0.29-1) unstable; urgency=low

  * New upstream release.
  * Install ReleaseNotes as upstream changelog file.
  * Simply build-depend on libjpeg-dev instead of libjpeg62-dev |
    libjpeg-dev (Closes: #644808).
  * Install a symlink in /usr/bin instead of including the main vncviewer
    binary twice in the package.
  * Add build-arch and build-indep targets to debian/rules.
  * nostrip.patch: Remove strip command from the Makefile, allowing
    DEB_BUILD_OPTONS=nostrip to work.
  * Get CFLAGS and LDFLAGS from dpkg-buildflags.
  * buildflags.patch: Pass CFLAGS and LDFLAGS through via ./Makefile as
    CDEBUGFLAGS and LOCAL_LDFLAGS to vnc_unixsrc/*/Makefile. This results
    in -fno-strict-aliasing (added by xmkmf by default) being dropped, but
    that doesn't seem to cause any problems.
  * format-security.patch: Fix some flaws uncovered by -Wformat-security.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Nov 2011 22:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: ssvnc
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 7), xutils-dev, libxaw7-dev,
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 10), xutils-dev, libxaw7-dev,
  libxmu-dev, libxext-dev, libxt-dev, libsm-dev, libice-dev,
- libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev,
- default-jdk, libssl-dev
-Standards-Version: 3.9.1
+ libjpeg-dev, zlib1g-dev | libz-dev,
+ default-jdk-headless, libssl-dev, dh-strip-nondeterminism
+Standards-Version: 4.6.0
 Homepage: http://www.karlrunge.com/x11vnc/ssvnc.html
+Vcs-Git: https://salsa.debian.org/holmgren/ssvnc.git
+Vcs-Browser: https://salsa.debian.org/holmgren/ssvnc
 
 Package: ssvnc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, tk,
  openssh-client, bind9-host | host, procps, psmisc, xterm,
- stunnel4, openssl
+ stunnel4, openssl, net-tools
 Recommends: default-jre | java5-runtime
 Description: Enhanced TightVNC viewer with SSL/SSH tunnel helper
  VNC stands for Virtual Network Computing. It is, in essence, a remote

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/java/java_defaults.mk
 DESTDIR=$(CURDIR)/debian/ssvnc
+
+export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 configure: configure-stamp
 configure-stamp:
@@ -17,13 +22,17 @@
 	$(MAKE) config
 	touch configure-stamp
 
-build: build-stamp
+build-indep:
+
+build-arch: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) all
+	$(MAKE) all JC_ARGS="-source $(java_compat_level) -target $(java_compat_level)"
 
 	touch $@
+
+build: build-arch build-indep
 
 clean: configure-stamp
 	dh_testdir
@@ -31,7 +40,7 @@
 	rm -f build-stamp configure-stamp
 
 	$(MAKE) clean
-	rm vnc_unixsrc/*/Makefile
+	rm -f vnc_unixsrc/*/Makefile
 
 	dh_clean 
 
@@ -52,11 +61,12 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs -k ReleaseNotes
 	dh_installdocs
 	dh_installexamples
 	dh_installman
 	dh_link
+	dh_strip_nondeterminism
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -67,4 +77,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
